declare module 'pyodide' {
  export interface PyodideInterface {
    runPythonAsync(code: string): Promise<any>;
    runPython(code: string): any;
    loadPackage(packageName: string): Promise<void>;
    loadPackagesFromImports(code: string): Promise<void>;
    globals: Record<string, any>;
  }

  export interface PyodideOptions {
    indexURL?: string;
    fullStdLib?: boolean;
    stdout?: (text: string) => void;
    stderr?: (text: string) => void;
  }

  export function loadPyodide(options?: PyodideOptions): Promise<PyodideInterface>;
} 